Bug 251148 - New port: devel/magit-devel Interface to Git for Emacs (Development Version)
Summary: New port: devel/magit-devel Interface to Git for Emacs (Development Version)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joseph Mingrone
URL:
Keywords:
Depends on: 251146 251147
Blocks:
  Show dependency treegraph
 
Reported: 2020-11-15 02:29 UTC by Yasuhiro Kimura
Modified: 2021-01-13 22:34 UTC (History)
1 user (show)

See Also:


Attachments
Patch file (5.49 KB, patch)
2020-11-15 02:29 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (5.49 KB, patch)
2020-11-27 02:40 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (5.49 KB, patch)
2020-12-06 22:28 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (5.63 KB, patch)
2020-12-26 10:07 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2020-11-15 02:29:25 UTC
Created attachment 219697 [details]
Patch file

Add devel/magit-devel, development version of devel/magit.

Latest version of Magit is 2.90.1 and is released 2 years ago.
And after that a lot of new features and improvements are added to master branch of upstream git repository.
At first I consider updating devel/magit port to latest snapshot.
But there are users who prefer stability to new feature.
So I decided to create new port for development version of Magit.

To apply attached patch please take following steps.

1. cd /usr/ports
2. svn copy devel/magit devel/magit-devel
3. svn patch /path/to/attached/patch
    
Bug #251146 and bug #251147 add new ports that this port requires.
So please commit them before committing this port.
Comment 1 Yasuhiro Kimura 2020-11-27 02:40:42 UTC
Created attachment 220022 [details]
Updated patch file

Update to latest snapshot.
Comment 2 Yasuhiro Kimura 2020-12-06 22:28:58 UTC
Created attachment 220328 [details]
Updated patch file

Update to latest snapshot.
Comment 3 Yasuhiro Kimura 2020-12-26 10:07:08 UTC
Created attachment 220939 [details]
Updated patch file

Update to latest snapshot.
Comment 4 commit-hook freebsd_committer 2021-01-13 22:24:15 UTC
A commit references this bug:

Author: jrm
Date: Wed Jan 13 22:23:22 UTC 2021
New revision: 561517
URL: https://svnweb.freebsd.org/changeset/ports/561517

Log:
  New port, devel/magit-devel: Git interface for Emacs (devel version)

  PR:		251148
  Submitted by:	Yasuhiro Kimura <yasu@utahime.org> (maintainer)

Changes:
  head/devel/Makefile
  head/devel/magit/Makefile
  head/devel/magit-devel/
  head/devel/magit-devel/Makefile
  head/devel/magit-devel/distinfo
  head/devel/magit-devel/pkg-descr
  head/devel/magit-devel/pkg-message
  head/devel/magit-devel/pkg-plist
Comment 5 Joseph Mingrone freebsd_committer 2021-01-13 22:34:50 UTC
Thanks.  Committed with a few tweaks.

- Follow 'Example 5.14. Using USE_GITHUB to Access a Commit Between Two Versions'
- Follow 'Chapter 15. Order of Variables in Port Makefiles' with the help of linters (portlint, portclippy, portfmt)
- Use latest upstream commit